| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Attrib::TwoDOutput Class Reference
AttributeEngine

Simple 2D Output. More...

`#include <attriboutput.h>`

Inheritance diagram for Attrib::TwoDOutput:
[legend]

## Public Member Functions
| TwoDOutput (const Interval< int > &, const Interval< float > &, const Pos::GeomID &)
void | collectData (const DataHolder &, float step, const SeisTrcInfo &) override
bool | doInit ()
uiString | errMsg () const override
bool | getDesiredVolume (TrcKeyZSampling &) const override
TypeSet< Interval< int > > | getLocalZRanges (const Coord &, float, TypeSet< float > &) const override
TypeSet< Interval< int > > | getLocalZRanges (const TrcKey &, float, TypeSet< float > &) const override
void | set2D (bool) override
void | setGeometry (const Interval< int > &, const Interval< float > &)
void | setOutput (Data2DHolder &)
bool | useCoords () const override
bool | wantsOutput (const Coord &) const override
bool | wantsOutput (const TrcKey &) const override
Public Member Functions inherited from Attrib::Output
| Output ()
virtual void | adjustInlCrlStep (const TrcKeyZSampling &)
Pos::GeomID | curGeomID () const
virtual void | deleteTrc ()
virtual bool | finishWrite ()
virtual const RegularSeisDataPack * | getDataPack () const
virtual RegularSeisDataPack * | getDataPack (float)
virtual void | getDesiredOutputs (TypeSet< int > &outputs) const
const Seis::SelData & | getSelData ()
virtual SeisTrc * | getTrc ()
| mOD_DisableCopy (Output) virtual void set2D(bool yn)
void | setDesiredOutputs (const TypeSet< int > &outputs)
virtual bool | writeTrc ()
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Protected Member Functions
| ~TwoDOutput ()
Protected Member Functions inherited from Attrib::Output
virtual | ~Output ()
void | doSetGeometry (const TrcKeyZSampling &)
void | ensureSelType (Seis::SelType)
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Protected Attributes
uiString | errmsg_
Data2DHolder * | output_ = nullptr
TypeSet< Interval< int > > | sampleinterval_
Protected Attributes inherited from Attrib::Output
TypeSet< int > | desoutputs_
bool | is2d_
Seis::SelData * | seldata_

## Additional Inherited Members
Static Public Member Functions inherited from Attrib::Output
static const char * | cubekey ()
static const char * | outputstr ()
static const char * | scalekey ()
static const char * | surfkey ()
static const char * | tskey ()
static const char * | varzlinekey ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Detailed Description

Simple 2D Output.

<>

## Constructor & Destructor Documentation

## ◆ TwoDOutput()

Attrib::TwoDOutput::TwoDOutput | ( | const Interval< int > & | ,
|  | const Interval< float > & | ,
|  | const Pos::GeomID & | )

## ◆ ~TwoDOutput()

Attrib::TwoDOutput::~TwoDOutput | ( |  | ) |
| protected

## Member Function Documentation

## ◆ collectData()

void Attrib::TwoDOutput::collectData | ( | const DataHolder & | ,
|  | float | step,
|  | const SeisTrcInfo & | )
| override virtual

Implements Attrib::Output.

## ◆ doInit()

bool Attrib::TwoDOutput::doInit | ( |  | ) |

## ◆ errMsg()

uiString Attrib::TwoDOutput::errMsg | ( |  | ) | const
| inline override virtual

Reimplemented from Attrib::Output.

## ◆ getDesiredVolume()

bool Attrib::TwoDOutput::getDesiredVolume | ( | TrcKeyZSampling & |  | ) | const
| override virtual

Reimplemented from Attrib::Output.

## ◆ getLocalZRanges() [1/2]

TypeSet< Interval< int > > Attrib::TwoDOutput::getLocalZRanges | ( | const Coord & | ,
|  | float | ,
|  | TypeSet< float > & | ) const
| override virtual

Implements Attrib::Output.

## ◆ getLocalZRanges() [2/2]

TypeSet< Interval< int > > Attrib::TwoDOutput::getLocalZRanges | ( | const TrcKey & | ,
|  | float | ,
|  | TypeSet< float > & | ) const
| override virtual

Implements Attrib::Output.

## ◆ set2D()

void Attrib::TwoDOutput::set2D | ( | bool |  | ) |
| inline override

## ◆ setGeometry()

void Attrib::TwoDOutput::setGeometry | ( | const Interval< int > & | ,
|  | const Interval< float > & | )

## ◆ setOutput()

void Attrib::TwoDOutput::setOutput | ( | Data2DHolder & |  | ) |

## ◆ useCoords()

bool Attrib::TwoDOutput::useCoords | ( |  | ) | const
| override virtual

Implements Attrib::Output.

## ◆ wantsOutput() [1/2]

bool Attrib::TwoDOutput::wantsOutput | ( | const Coord & |  | ) | const
| override virtual

Implements Attrib::Output.

## ◆ wantsOutput() [2/2]

bool Attrib::TwoDOutput::wantsOutput | ( | const TrcKey & |  | ) | const
| override virtual

Implements Attrib::Output.

## Member Data Documentation

## ◆ errmsg_

uiString Attrib::TwoDOutput::errmsg_
| protected

## ◆ output_

Data2DHolder* Attrib::TwoDOutput::output_ = nullptr
| protected

## ◆ sampleinterval_

TypeSet<Interval<int> > Attrib::TwoDOutput::sampleinterval_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025